
void _efl_canvas_group_animation_animation_add(Eo *obj, Efl_Canvas_Group_Animation_Data *pd, Efl_Canvas_Animation *animation);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_animation_group_animation_add, EFL_FUNC_CALL(animation), Efl_Canvas_Animation *animation);

void _efl_canvas_group_animation_animation_del(Eo *obj, Efl_Canvas_Group_Animation_Data *pd, Efl_Canvas_Animation *animation);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_animation_group_animation_del, EFL_FUNC_CALL(animation), Efl_Canvas_Animation *animation);

Eina_Iterator *_efl_canvas_group_animation_animations_get(const Eo *obj, Efl_Canvas_Group_Animation_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_animation_group_animations_get, Eina_Iterator *, NULL);

Efl_Object *_efl_canvas_group_animation_efl_object_constructor(Eo *obj, Efl_Canvas_Group_Animation_Data *pd);


void _efl_canvas_group_animation_efl_object_destructor(Eo *obj, Efl_Canvas_Group_Animation_Data *pd);


void _efl_canvas_group_animation_efl_canvas_animation_duration_set(Eo *obj, Efl_Canvas_Group_Animation_Data *pd, double sec);


void _efl_canvas_group_animation_efl_canvas_animation_final_state_keep_set(Eo *obj, Efl_Canvas_Group_Animation_Data *pd, Eina_Bool keep);


void _efl_canvas_group_animation_efl_canvas_animation_interpolator_set(Eo *obj, Efl_Canvas_Group_Animation_Data *pd, Efl_Interpolator *interpolator);


static Eina_Bool
_efl_canvas_group_animation_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_GROUP_ANIMATION_EXTRA_OPS
#define EFL_CANVAS_GROUP_ANIMATION_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_animation_group_animation_add, _efl_canvas_group_animation_animation_add),
      EFL_OBJECT_OP_FUNC(efl_animation_group_animation_del, _efl_canvas_group_animation_animation_del),
      EFL_OBJECT_OP_FUNC(efl_animation_group_animations_get, _efl_canvas_group_animation_animations_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_group_animation_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_canvas_group_animation_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_animation_duration_set, _efl_canvas_group_animation_efl_canvas_animation_duration_set),
      EFL_OBJECT_OP_FUNC(efl_animation_final_state_keep_set, _efl_canvas_group_animation_efl_canvas_animation_final_state_keep_set),
      EFL_OBJECT_OP_FUNC(efl_animation_interpolator_set, _efl_canvas_group_animation_efl_canvas_animation_interpolator_set),
      EFL_CANVAS_GROUP_ANIMATION_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_group_animation_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Group_Animation",
   EFL_CLASS_TYPE_REGULAR_NO_INSTANT,
   sizeof(Efl_Canvas_Group_Animation_Data),
   _efl_canvas_group_animation_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_group_animation_class_get, &_efl_canvas_group_animation_class_desc, EFL_CANVAS_ANIMATION_CLASS, NULL);
